solarOSsolarOS Docs

List quote-generated Contracts

List quote-generated Contracts

GET
/contracts

List quote-generated Contracts

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Query Parameters

limit?integer

Maximum records to return. Defaults to 50 and is capped at 100.

Range1 <= value <= 100
Default50
cursor?string

Opaque record cursor from the previous response meta.nextCursor value.

sortDir?string

Sort direction. Defaults to desc.

Default"desc"

Value in

  • "asc"
  • "desc"
status?string

Filter by exact Contract status.

Value in

  • "DRAFT"
  • "PENDING_SIGNATURE"
  • "PARTIALLY_SIGNED"
  • "COMPLETED"
  • "VOIDED"
  • "EXPIRED"
quoteId?string

Filter by source Quote id.

customerId?string

Filter by Customer id.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/contracts"
{  "data": [    {}  ],  "meta": {    "nextCursor": "string",    "hasMore": true,    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}